%define upstream_name    Devel-Callsite
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Get caller return OP or Interp address
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::PPPort) >= 3.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%description
The _callsite()_ function returns the the OP address of the caller, a
number, one level up from where it was called. It's useful for functions
that need to uniquely know where they were called, such as
_Every::every()_; see the Every manpage. Or it can be used to the pinpoint
a location with finer granularity than a line
number|http://www.perlmonks.com/?node_id=987268 manpage. In conjunction
with an OP tree disassembly you can know exactly where the caller is
located in the Perl source.

The _context()_ function returns the interpreter context as a number. This
is a fairly unique number together with the call site.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.80.0-7.mga6
+ Revision: 1025491
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.80.0-6.mga6
+ Revision: 957142
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.80.0-5.mga6
+ Revision: 843810
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-4.mga5
+ Revision: 746249
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-3.mga5
+ Revision: 684303
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.80.0-2.mga5
+ Revision: 631055
- Rebuild for perl 5.20

* Thu Mar 13 2014 jquelin <jquelin> 0.80.0-1.mga5
+ Revision: 602864
- update to 0.08

* Mon Oct 21 2013 umeabot <umeabot> 0.70.0-2.mga4
+ Revision: 539479
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 sander85 <sander85> 0.70.0-1.mga4
+ Revision: 492160
- update to 0.07

* Wed May 29 2013 jquelin <jquelin> 0.60.0-3.mga4
+ Revision: 430640
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 365681
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 jquelin <jquelin> 0.60.0-1.mga3
+ Revision: 302377
- imported package perl-Devel-Callsite


* Wed Oct 03 2012 cpan2dist 0.06-1mga
- initial mageia release, generated with cpan2dist
